<template>
  <div class="map-container">
    <a class="search button" @click="get_place_id" :disabled="disabled"
      >Search</a
    >
  </div>
</template>

<script>
const apiKey = 'AIzaSyBDZjCJVC5mbasLkCXqVPBEFE06YSI0Eco';
const gMapEmbedLink = 'https://www.google.com/maps/embed/v1/place';

export default {
  name: 'Map',
  props: {
    placeId: {
      type: String,
      default: ''
    },
    disabled: {
      type: Boolean,
      required: true
    }
  },
  methods: {
    get_place_id() {
      if (!this.disabled) {
        const src = `${gMapEmbedLink}?key=${apiKey}&q=place_id:${this.placeId}`;
        this.$emit('getMapUrl', src);
      }
    }
  }
};
</script>

<style scoped>
.search.button {
  border-radius: 999px;
  margin-top: 2rem;
  background: rgb(175, 25, 88);
  color: white;
  border: none;
}
.search.button:hover {
  background: rgb(214, 47, 117);
}
.button:disabled {
  cursor: not-allowed;
  pointer-events: all !important;
}
</style>
